For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceSDKs
DocsAPI ReferenceSDKs
  • Overview
    • API reference
  • Mesh API
      • GETList Models
      • GETList Free Models
      • GETList Paid Models
LogoLogo
Mesh APIModels

List Free Models

||View as Markdown|
GET
https://api.meshapi.ai/v1/models/free
GET
/v1/models/free
$curl https://api.meshapi.ai/v1/models/free \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "id": "free-gpt-3.5-turbo",
4 "name": "GPT-3.5 Turbo Free",
5 "context_length": 4096,
6 "is_free": true,
7 "pricing": {
8 "prompt_usd_per_1k": "0.0000",
9 "completion_usd_per_1k": "0.0000",
10 "prompt_usd_per_1m": "0.00",
11 "completion_usd_per_1m": "0.00",
12 "image_usd_per_image": null,
13 "audio_input_usd_per_1m": null,
14 "audio_output_usd_per_1m": null,
15 "cached_audio_input_usd_per_1m": null,
16 "cached_text_input_usd_per_1m": null,
17 "discount_pct": null,
18 "prompt_usd_per_1k_discounted": null,
19 "completion_usd_per_1k_discounted": null,
20 "prompt_usd_per_1m_discounted": null,
21 "completion_usd_per_1m_discounted": null
22 },
23 "supports_thinking": true,
24 "supports_completions_api": true,
25 "supports_responses_api": true,
26 "model_type": "chat",
27 "input_modalities": [
28 "text"
29 ],
30 "output_modalities": [
31 "text"
32 ],
33 "provider": "OpenAI",
34 "description": "Free tier of GPT-3.5 Turbo model with no cost for prompt or completion tokens.",
35 "supports_realtime": false,
36 "is_composite": false,
37 "composite_models": null
38 }
39]

Shortcut: list only models with zero prompt + completion cost.

Was this page helpful?
Previous

List Models

Next

List Paid Models

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
idstring
namestring
context_lengthinteger or null
is_freeboolean
pricingobject
supports_thinkingboolean
supports_completions_apiboolean
supports_responses_apiboolean
model_typestring
input_modalitieslist of strings
output_modalitieslist of strings
providerstring or null
descriptionstring or null
supports_realtimebooleanDefaults to false
is_compositebooleanDefaults to false
composite_modelslist of strings or null